<!--
  ~ Copyright (C) 2021 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<idea-plugin>
  <extensions defaultExtensionNs="com.intellij">
    <notificationGroup id="Device Monitor" displayType="BALLOON"/>
    <projectService serviceImplementation="com.android.tools.idea.device.monitor.adbimpl.AdbDeviceListService"/>
    <!-- TODO: Custom icon -->
    <toolWindow id="Device Monitor"
                anchor="right"
                secondary="true"
                icon="StudioIcons.Shell.ToolWindows.DEVICE_EXPLORER"
                factoryClass="com.android.tools.idea.device.monitor.DeviceMonitorToolWindowFactory"/>
  </extensions>
</idea-plugin>